test_i2c Namespace Reference

## Classes

class | I2C

## Functions

| TEST (Test_i2c_impl, TestConcept)
| TEST (Test_i2c_impl, TestConstruction)
| TEST (Test_i2c_impl, TestFunctionality)

## Detailed Description

Warning
  This is not right way of testing communication interfaces. We have to implement a Mock object to simulate the slave's behavior. Until then we have the following.

## Function Documentation

## TEST() [1/3]

test_i2c::TEST | ( | Test_i2c_impl | ,
|  | TestConcept |
| ) |  |

Definition at line 56 of file test_i2c_impl.cpp.

## TEST() [2/3]

test_i2c::TEST | ( | Test_i2c_impl | ,
|  | TestConstruction |
| ) |  |

Definition at line 61 of file test_i2c_impl.cpp.

## TEST() [3/3]

test_i2c::TEST | ( | Test_i2c_impl | ,
|  | TestFunctionality |
| ) |  |

Definition at line 66 of file test_i2c_impl.cpp.